Bug 1986881 (CVE-2021-30689)

Summary: CVE-2021-30689 webkitgtk: Logic issue leading to universal cross site scripting attack
Product: [Other] Security Response Reporter: Michael Kaplan <mkaplan>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: erack, gnome-sig, mcatanza, tpopela
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: webkitgtk 2.32.3 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-10 00:54:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1986882, 1999828    
Bug Blocks: 1986910    

Description Michael Kaplan 2021-07-28 13:40:22 UTC
A logic issue was addressed with improved state management.

Comment 1 Michael Kaplan 2021-07-28 13:41:16 UTC
Created webkit2gtk3 tracking bugs for this issue:

Affects: fedora-all [bug 1986882]

Comment 2 Tomas Hoger 2021-08-30 14:47:59 UTC
Upstream advisory:

https://webkitgtk.org/security/WSA-2021-0004.html

Comment 4 errata-xmlrpc 2021-11-09 18:31:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4381 https://access.redhat.com/errata/RHSA-2021:4381

Comment 5 Product Security DevOps Team 2021-11-10 00:54:07 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-30689